INSTALL.quagga.txt 3.9 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107
  1. # $Id$
  2. --------------------------------------------------------------------------
  3. Building and Installing Quagga from releases or snapshots:
  4. The 'INSTALL' file contains generic instructions on how to use 'configure'
  5. scripts.
  6. Quagga requires a C compiler (and associated header files and
  7. libraries) supporting the C99 standard.
  8. Quagga requires a reasonable make. It is considered a bug if quagga
  9. does not compile with the system make on recent FreeBSD, NetBSD or
  10. OpenBSD, and a very serious bug if it does not compile with GNU make.
  11. Quagga expects a POSIX.2 compliant system, more or less. Clean
  12. workarounds for POSIX non-compliance are welcome.
  13. It is considered a bug if Quagga fails to build and run on any of the
  14. following systems (where .x indicates the most recent release), or
  15. such systems "-current" versions. (Note that considering it a bug is
  16. not a guarantee of support, merely "we agree that it is broken".)
  17. Dragonfly ?
  18. FreeBSD 4.x
  19. FreeBSD 5.x
  20. FreeBSD 6.x
  21. FreeBSD-current
  22. Linux [kernel/distribution information needed]
  23. NetBSD 1.6.x
  24. NetBSD 2.x
  25. NetBSD 3.x
  26. NetBSD 4.x
  27. NetBSD-current
  28. OpenBSD ? [info needed on what should work]
  29. Solaris 9
  30. Solaris 10
  31. For further Quagga specific information on 'configure' and build-time
  32. configuration of the software, please read the Quagga info
  33. documentation, (doc/quagga.info). To read the info page included with
  34. the Quagga sources without first installing Quagga:
  35. cd doc
  36. # one of the following, depending on your info viewer preferences
  37. info quagga.info
  38. pinfo -r quagga.info
  39. emacs -eval '(info "quagga.info")'
  40. The Quagga website (http://www.quagga.net) currently has the info
  41. files available in various formats.
  42. --------------------------------------------------------------------------
  43. Building Quagga from CVS checkouts:
  44. In order to build from CVS, you will need recent versions of several GNU
  45. tools, particularly autoconf, automake, libtool, GNU awk and texinfo. Note
  46. that the CVS snapshots on the Quagga website should not require these tools;
  47. everything is already setup ready to run 'configure'. If you have trouble
  48. building from CVS checkout it is recommended that you try a CVS snapshot
  49. instead.
  50. If you are building from plain CVS checkouts, the versions which
  51. should work at least with:
  52. automake: 1.8.5
  53. autoconf: 2.59
  54. libtool: 1.5.6
  55. texinfo: 4.7
  56. GNU AWK: 3.1 [XXX is GNU version really needed? BSD?]
  57. texinfo 4.7
  58. Becuase some systems provide texinfo 4.6 (4.7 is new), quagga.info is
  59. checked in so that texinfo will generally not be invoked. When
  60. texinfo 4.7 is widespread, quagga.info will be removed from CVS and
  61. texinfo will become required again. (4.7 has figure support, needed
  62. for the route server docs, which is why 4.6 doesn't work.)
  63. In order to create PostScript or PDF versions of the Texinfo documentation,
  64. you will need the convert utility, from the ImageMagick toolset installed,
  65. and epstopdf from the TeTeX suite.
  66. To create the required autotools files (Makefile.in, configure, etc.),
  67. run either the 'update-autotools' script provided, or else the
  68. 'autoreconf -i' command supplied with your autoconf package. After this
  69. you may run configure.
  70. Please refer to "Building and Installing Quagga" above for further
  71. instructions.
  72. --------------------------------------------------------------------------
  73. Notes on required versions:
  74. The general goal is to use a modern baseline of tools, while not
  75. imposing pain on those tracking stable distributions. The notes below
  76. explain what versions are present in various environments.
  77. NetBSD 1.6.2 and 2.0 provide texinfo 4.6.
  78. NetBSD 2.99.15 provides texinfo 4.7 (so NetBSD 3 will as well).
  79. NetBSD pkgsrc provides automake 1.9.1 autoconf 2.59 libtool 1.5.6
  80. NetBSD pgksrc provides texinfo 4.7 (devel/gtexinfo)
  81. OpenBSD 3.6 provides texinfo 4.2.
  82. OpenBSD [3.6] ports provides automake 1.4-p6 autoconf 2.5.9 libtool 1.5.8
  83. --------------------------------------------------------------------------